"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-11.0-arm64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x105c9cc20>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x105c9cd60>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x105c9ccc0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x105c9ce00>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x105c9cea0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x105c9cf40>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x105c9cfe0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x105c9d080>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x105c9d120>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x105c9d1c0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x105c9d260>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x105c9d300>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x105c9d3a0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x105c9d440>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x105c9d4e0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x105c9d580>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x105c9d620>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x105c9d6c0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x105c9d760>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x105c9d800>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x105c9d8a0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x105c9d940>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x105c9d9e0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x105c9da80>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x105c9db20>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x105c9dbc0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x105c9dc60>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x105c9dd00>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x105c9dda0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x105c9de40>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x105c9dee0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x105c9df80>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x105c9e020>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x105c9e0c0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x105c9e160>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x105c9e200>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x105c9e2a0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x105c9e340>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x105c9e3e0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x105c9e480>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x105c9e520>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x105c9e5c0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x105c9e660>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x105c9e700>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x105c9e7a0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x105c9e840>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x105c9e8e0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x105c9e980>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x105c9ea20>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x105c9eac0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x105c9eb60>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x105c9ec00>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x105c9eca0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x105c9ed40>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x105c9ede0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x105c9ee80>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x105c9ef20>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x105c9efc0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x105c9f060>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x105c9f100>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x105c9f1a0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x105c9f240>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x105c9f2e0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x105c9f380>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x105c9f420>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x105c9f4c0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x105c9f560>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x105c9f600>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x105c9f6a0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x105c9f740>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x105c9f7e0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x105c9f880>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x105c9f920>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x105c9f9c0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x105c9fa60>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x105c9fb00>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x105c9fba0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x105c9fc40>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x105c9fce0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x105c9fe20>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x105c9fd80>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x105c9fec0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x105c9ff60>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x105cac040>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x105cac0e0>)]
name: str = 'fr_HOCCN'
